Perl YAML-LibYAML Module 'perl_libyaml.c' Multiple Format String Vulnerabilities

Bugtraq ID: 52381
Class: Input Validation Error
CVE: CVE-2012-1152
Remote: Yes
Local: No
Published: Mar 09 2012 12:00AM
Updated: Apr 12 2012 05:00PM
Credit: Dominic Hargreaves
Vulnerable: Red Hat Fedora 17
Red Hat Fedora 16
Red Hat Fedora 15
Debian Linux 6.0 sparc
Debian Linux 6.0 s/390
Debian Linux 6.0 powerpc
Debian Linux 6.0 mips
Debian Linux 6.0 ia-64
Debian Linux 6.0 ia-32
Debian Linux 6.0 arm
Debian Linux 6.0 amd64
CPAN YAML-LibYAML 0.38
CPAN YAML-LibYAML 0.33-1
Not Vulnerable:


 

Privacy Statement
Copyright 2010, SecurityFocus